--[[

Custom Trickframe Support for Acrobatics, by Angular

TO THE RACER CREATOR-

PREREQUISITES: You'll need to make sure you've specified "T" frames in your character WAD. 
***Kartmaker does NOT support this natively - there is a custom template out there that includes that, to my knowledge.

STEPS:
1) Put this in your character WAD/PK3. 
2) Change the "daskin" variable to the name of your character (NOT Real Name! It's the one that's supposed to be one word or have underscores in it.)
	-Yes, leave the quotation marks.
3) That's about it. Acrobatics will handle the rest.

Multiple trickframe support unsupported, but maybe soon? Though that's up to people if they want to make even MORE frames for their racer? :V

]]--

local daskin = "jumpluff" --if there are spaces here i will alt+f4 you
local daskin1 = "victini"
local daskin2 = "whimsicott"
local daskin3 = "wooper"
local daskin4 = "big_d"
local daskin5 = "king-ii"
local daskin6 = "flare"
local daskin7 = "midelle"
local daskin8 = "fuego"
local daskin9 = "deedee"
local daskin10 = "riny"
local daskin11 = "ekene"
local daskin12 = "coletricks"
local daskin13 = "leonard"
local daskin14 = "zackcinder"
local daskin15 = "beatboxthanos"
local daskin16 = "colebrian"
local daskin17 = "citlali"
local daskin18 = "harris"
local daskin19 = "summer"
local daskin20 = "wen"
local daskin21 = "empoleon"

--------------------------------------------------------
-- THAT'S IT; DON'T CHANGE ANYTHING UNDER THIS COMMENT.
-- you're doin' great
--------------------------------------------------------
local function trickyFrames(mo)
	if not acrobatics then return end --turn on the mod, dummy
	if mo.player and mo.valid
		if mo.player and mo.skin == daskin or
		(mo.player and mo.skin == daskin1) or
		(mo.player and mo.skin == daskin2) or
		(mo.player and mo.skin == daskin3) or
		(mo.player and mo.skin == daskin4) or
		(mo.player and mo.skin == daskin5) or
		(mo.player and mo.skin == daskin6) or
		(mo.player and mo.skin == daskin7) or
		(mo.player and mo.skin == daskin8) or
		(mo.player and mo.skin == daskin9) or
		(mo.player and mo.skin == daskin10) or
		(mo.player and mo.skin == daskin11) or
		(mo.player and mo.skin == daskin12) or
		(mo.player and mo.skin == daskin13) or
		(mo.player and mo.skin == daskin14) or
		(mo.player and mo.skin == daskin15) or
		(mo.player and mo.skin == daskin16) or
		(mo.player and mo.skin == daskin17) or
		(mo.player and mo.skin == daskin18) or
		(mo.player and mo.skin == daskin19) or
		(mo.player and mo.skin == daskin20) or
		(mo.player and mo.skin == daskin21)
			mo.player.trickframes = true
		else
			mo.player.trickframes = nil
		end
	end
end
addHook("MobjThinker", trickyFrames, MT_PLAYER)